Bug 72538 - installer's kernel fails to probe/configure drive on promise controller
installer's kernel fails to probe/configure drive on promise controller
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-24 19:36 EDT by Need Real Name
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 07:58:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-24 19:36:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020606

Description of problem:
i have my system on a WD 1200JB drive hanging off of a promise UDMA 100 TX2 pci
card as /dev/hde.  it works flawlessly with redhat 7.3 and the 2.4.18-5 kernel
in udma mode 5 (UDMA100) and has been working flawlessly in that mode for over
two months.  when booting the kernel for the (null) installer, it complains when
probing the drive at bootup.  it gives several 'hde: lost interrupt' errors and
then several more verbose DMA errors when the kernel gives up and resets the
promise interface. i've never gotten the installer past this point and even if
it could get past it, i wouldn't trust such flaky support for my main IDE
interface. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. insert promise UDMA100 TX2 card into computer
2. attach drive to promise controller
3. boot (null) installer
4. installer will run until it probes the drives on the promise controller at
which point it will fail
	

Actual Results:  install kernel would loop trying to get the drive on the
promise configured.  i would let it go a few minutes before giving up. 

Expected Results:  it should have recognized and configured the drive/controller
normally like the redhat 7.3 kernel does. 

Additional info:

i have a second drive on an on-board IDE controller that was detected and
configured properly.  the on-board controller is also UDMA100, but uses an SiS
5513 chipset.  the motherboard is an MSI 645 ultra with a pentium 4 1.6A cpu.
Comment 1 Alan Cox 2003-06-05 07:58:42 EDT
This seems to have been related to the (null) beta APIC handling and should now
be ok. If not re-open the bug

Note You need to log in before you can comment on or make changes to this bug.